Bug 158095 - Subscription Alert (on first login)
Subscription Alert (on first login)
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
: 158220 160936 161596 (view as bug list)
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
Reported: 2005-05-18 12:52 EDT by Sean Earp
Modified: 2007-11-30 17:11 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-05 11:28:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sean Earp 2005-05-18 12:52:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
After doing a clean install of FC4T3 via DVD (NOT connected to a network or the internet), on first login I get the following message:

"Subscription Alert
Your Subscription has not been activated.
This may be because your system is not networked or one of the three Red Hat registration steps were not completed.
It is important to activate your subscription so you can access teh services that keep your system secure and supported.
-Activate now (recommended)
-Activate later at www.redhat.com/activate
-Do not activate
Need Help?  Contact Customer service at www.redhat.com/contact"

This would appear to be a remnant of Fedora while it was still a commercial product...

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.Do a clean install of FC4T3 while NOT connected to a network/the internet
2.Log into GNOME

Actual Results:  Error message about registering the OS

Expected Results:  No registration error message

Additional info:
Comment 1 Elliot Lee 2005-05-18 16:31:13 EDT
What are the contents of /etc/sysconfig/rhn/sources (excluding the commented out
Comment 2 Sean Earp 2005-05-19 23:24:04 EDT

yum development
yum-mirror development

### A local directory full of packages (a "dir" repo). For example:
#dir my-favorite-rpms /var/spool/RPMS/

# Multiple versions of all repos except "up2date" can be used. Dependencies
# can be resolved "cross-repo" if need be.

yum extras-development
yum-mirror extras-development
Comment 3 Adrian Likins 2005-05-24 16:56:40 EDT
*** Bug 158220 has been marked as a duplicate of this bug. ***
Comment 4 Adrian Likins 2005-05-24 17:06:23 EDT
firstboot/src/firstbootWindow.py: ~440-460

The hooks for a box with no network support are getting ran before we
decided if we should just skip a module entirely or not. For the
RHN modules, the hook for no network support includes writing out the
register_remind file, which then causes the applet to remind the user
to register. 

firstboot fix is to check if we skip the module entirely (as we do with
RHN stuff on fedora) before we run the no network stuff. 

Also, the applet should probably require the register_remind file and
a config pointing at RHN before nagging. 
Comment 5 Adrian Likins 2005-05-24 17:38:15 EDT
fixed in firstboot-1.3.41-4 in dist-fc4-hold
Comment 6 Sean Earp 2005-05-29 01:30:05 EDT
I still get the message on login (even connected to the network) with

Comment 7 petrosyan 2005-06-05 22:26:12 EDT
here is an easy way to reproduce this bug:
1. comment everything in /etc/sysconfig/rhn/sources
2. add "repomd something something" to the /etc/sysconfig/rhn/sources file.
(this is an allowed command)
3. restart the rhn-applet-gui
4. click on it

A dialog asking you to register for RHN appears. This is reproducible on a
Rawhide system as of June 5.
Comment 8 Rahul Sundaram 2005-06-14 05:42:04 EDT
It seems to be reproducible in the final version too


Comment 9 Elliot Lee 2005-06-15 17:58:50 EDT
It happens with upgrades only, and is easy to work around, but it does need fixing.
Comment 10 Warren Togami 2005-06-16 02:24:39 EDT
I saw this happen on my laptop after installing FC4 final, not an upgrade.  It
happened when I double-clicked on the rhn_applet for the first time with
networking disabled.
Comment 11 John William 2005-06-17 19:14:46 EDT
I agree - it also happens on clean installs. The first time a user logs in, 
double-clicking the RHN icon will bring up the registration dialog - even with 
networking enabled.
Comment 12 petrosyan 2005-07-07 00:47:39 EDT
Every time a click on RHN icon it offers me to register for Red Hat Network. It
would be nice if this bug got finally fixed.
Comment 13 Vinicius 2005-07-12 19:14:12 EDT

I'm not seeing this issue on my FC4, and I did do two fresh install of FC4. I
have networking enabled too.

Comment 14 Vinicius 2005-07-12 19:16:54 EDT

Excuse me. Now I remember I have substituted rhn-applet by yum-applet.

Comment 15 Gerwin Krist 2005-07-29 03:46:02 EDT
*** Bug 160936 has been marked as a duplicate of this bug. ***
Comment 16 Gerwin Krist 2005-07-29 03:47:56 EDT
*** Bug 161596 has been marked as a duplicate of this bug. ***
Comment 17 Joachim Selke 2006-03-29 08:46:02 EST
This bug is "fixed" in Fedora Core 5. up2date and the rhn-applet are no more
included in release 5.
Comment 18 John Thacker 2006-10-29 17:34:04 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 19 John Thacker 2006-11-05 11:28:57 EST
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.